%define major 0
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	xcb-util's xcb-renderutil
Name:		xcb-util-renderutil
Version:	0.3.9
Release:	%mkrel 4
Url:		http://xcb.freedesktop.org
Source0:	http://xcb.freedesktop.org/dist/%{name}-%{version}.tar.bz2
License:	MIT
Group:		System/X11
BuildRequires:	xcb-util-devel >= 0.3.8
BuildRequires:	x11-util-macros

%description
The xcb-util module provides a number of libraries which sit on top of
libxcb, the core X protocol library, and some of the extension
libraries. These experimental libraries provide convenience functions
and interfaces which make the raw X protocol more usable. Some of the
libraries also provide client-side code which is not strictly part of
the X protocol but which have traditionally been provided by Xlib.

%package -n	%{libname}
Summary:	xcb-util-renderutil library package
Group:		System/X11

%description -n %{libname}
The xcb-util module provides a number of libraries which sit on top of
libxcb, the core X protocol library, and some of the extension
libraries. These experimental libraries provide convenience functions
and interfaces which make the raw X protocol more usable. Some of the
libraries also provide client-side code which is not strictly part of
the X protocol but which have traditionally been provided by Xlib.

This is the xcb-util-renderutil library package.

%package -n	%{develname}
Summary:	xcb-util-renderutil development files
Group:		Development/C
Provides:	libxcb-util-renderutil-devel = %{version}-%{release}
Provides:	xcb-util-renderutil-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Conflicts:	%{mklibname xcb-util -d} < 0.3.8
Conflicts:	%{mklibname xcb-util -d -s} < 0.3.8

%description -n %{develname}
This pakcage includes the development files required to build software against
%{name}.

%prep
%setup -q

%build
%configure2_5x
%make

%install
%makeinstall_std

%files -n %{libname}
%doc ChangeLog NEWS README
%{_libdir}/libxcb-render-util.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/xcb/xcb_renderutil.h
%{_libdir}/libxcb-render-util.a
%{_libdir}/libxcb-render-util.la
%{_libdir}/libxcb-render-util.so
%{_libdir}/pkgconfig/xcb-renderutil.pc


%changelog
* Mon Feb 08 2016 umeabot <umeabot> 0.3.9-4.mga6
+ Revision: 946952
- Mageia 6 Mass Rebuild

* Thu Oct 16 2014 umeabot <umeabot> 0.3.9-3.mga5
+ Revision: 758018
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.9-2.mga5
+ Revision: 690564
- Mageia 5 Mass Rebuild

* Tue Jun 24 2014 sander85 <sander85> 0.3.9-1.mga5
+ Revision: 639232
- New version: 0.3.9

* Fri Oct 18 2013 umeabot <umeabot> 0.3.8-4.mga4
+ Revision: 521894
- Mageia 4 Mass Rebuild

* Wed Jan 30 2013 luigiwalser <luigiwalser> 0.3.8-3.mga3
+ Revision: 393378
- fix upgrading libxcb-render-util0 to libxcb-util-renderutil0

* Mon Jan 14 2013 umeabot <umeabot> 0.3.8-2.mga3
+ Revision: 386694
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 06 2011 ahmad <ahmad> 0.3.8-1.mga2
+ Revision: 119282
- Versionate the xcb-util-devel requires
- imported package xcb-util-renderutil

